openapi: 3.0.1 info: title: HAPI FHIR Server contact: {} version: 8.4.0 servers: - url: https://conectaton.msal.gob.ar/nodo/fhir description: HAPI FHIR Server tags: - name: MedicinalProductAuthorization description: "The MedicinalProductAuthorization FHIR resource type
Base profile:\ \ http://hl7.org/fhir/StructureDefinition/MedicinalProductAuthorization" paths: /MedicinalProductAuthorization/{id}: get: tags: - MedicinalProductAuthorization summary: "read-instance: Read MedicinalProductAuthorization instance" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" put: tags: - MedicinalProductAuthorization summary: "update-instance: Update an existing MedicinalProductAuthorization\ \ instance, or create using a client-assigned ID" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" example: |- { "resourceType": "MedicinalProductAuthorization" } application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" example: responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" delete: tags: - MedicinalProductAuthorization summary: "instance-delete: Perform a logical delete on a resource instance" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" patch: tags: - MedicinalProductAuthorization summary: "instance-patch: Patch a resource instance of type MedicinalProductAuthorization\ \ by ID" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" example: |- { "resourceType": "Parameters", "parameter": [ { "name": "operation", "part": [ { "name": "type", "valueString": "add" }, { "name": "path", "valueString": "Patient" }, { "name": "name", "valueString": "birthDate" }, { "name": "value", "valueDate": "1930-01-01" } ] } ] } application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" example: |- responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/_history/{version_id}: get: tags: - MedicinalProductAuthorization summary: "vread-instance: Read MedicinalProductAuthorization instance with specific\ \ version" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" - name: version_id in: path description: The resource version ID required: true style: simple schema: minimum: 1 type: string example: "1" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization: get: tags: - MedicinalProductAuthorization summary: "search-type: Search for MedicinalProductAuthorization instances" description: This is a search type parameters: - name: country in: query description: The country in which the marketing authorization has been granted required: false schema: type: string - name: identifier in: query description: "Business identifier for the marketing authorization, as assigned\ \ by a regulator" required: false schema: type: string - name: subject in: query description: The medicinal product that is being authorized required: false schema: type: string - name: _lastUpdated in: query description: When the resource version last changed required: false schema: anyOf: - type: string format: date-time - type: string format: date - name: _security in: query description: Security Labels applied to this resource required: false schema: type: string - name: holder in: query description: Marketing Authorization Holder required: false schema: type: string - name: _filter in: query description: Search the contents of the resource's data using a filter required: false schema: type: string - name: _list in: query description: Search the contents of the resource's data using a list required: false schema: type: string - name: _profile in: query description: Profiles this resource claims to conform to required: false schema: type: string - name: _tag in: query description: Tags applied to this resource required: false schema: type: string - name: _has in: query description: Return resources linked to by the given target required: false schema: type: string - name: _source in: query description: Identifies where the resource comes from required: false schema: type: string - name: _id in: query description: Logical id of this artifact required: false schema: type: string - name: status in: query description: The status of the marketing authorization required: false schema: type: string responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" post: tags: - MedicinalProductAuthorization summary: "create-type: Create a new MedicinalProductAuthorization instance" requestBody: content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" example: |- { "resourceType": "MedicinalProductAuthorization" } application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" example: responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/_history: get: tags: - MedicinalProductAuthorization summary: "type-history: Fetch the resource change history for all resources\ \ of type MedicinalProductAuthorization" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/_history: get: tags: - MedicinalProductAuthorization summary: "instance-history: Fetch the resource change history for all resources\ \ of type MedicinalProductAuthorization" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/_search: get: tags: - MedicinalProductAuthorization summary: "search-type: Search for MedicinalProductAuthorization instances" description: This is a search type parameters: - name: country in: query description: The country in which the marketing authorization has been granted required: false schema: type: string - name: identifier in: query description: "Business identifier for the marketing authorization, as assigned\ \ by a regulator" required: false schema: type: string - name: subject in: query description: The medicinal product that is being authorized required: false schema: type: string - name: _lastUpdated in: query description: When the resource version last changed required: false schema: anyOf: - type: string format: date-time - type: string format: date - name: _security in: query description: Security Labels applied to this resource required: false schema: type: string - name: holder in: query description: Marketing Authorization Holder required: false schema: type: string - name: _filter in: query description: Search the contents of the resource's data using a filter required: false schema: type: string - name: _list in: query description: Search the contents of the resource's data using a list required: false schema: type: string - name: _profile in: query description: Profiles this resource claims to conform to required: false schema: type: string - name: _tag in: query description: Tags applied to this resource required: false schema: type: string - name: _has in: query description: Return resources linked to by the given target required: false schema: type: string - name: _source in: query description: Identifies where the resource comes from required: false schema: type: string - name: _id in: query description: Logical id of this artifact required: false schema: type: string - name: status in: query description: The status of the marketing authorization required: false schema: type: string responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/$validate: get: tags: - MedicinalProductAuthorization summary: "GET: /MedicinalProductAuthorization/$validate" parameters: - name: mode in: query required: false schema: type: string responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/$validate" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "resource", "resource": { "resourceType": "MedicinalProductAuthorization", "id": "1" } }, { "name": "mode", "valueCode": "example" }, { "name": "profile" } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/$validate: get: tags: - MedicinalProductAuthorization summary: "GET: /MedicinalProductAuthorization/{id}/$validate" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" - name: mode in: query required: false schema: type: string responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/{id}/$validate" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "resource", "resource": { "resourceType": "MedicinalProductAuthorization", "id": "1" } }, { "name": "mode", "valueCode": "example" }, { "name": "profile" } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/$meta-delete: post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/{id}/$meta-delete" description: "Delete tags, profiles, and/or security labels from a resource" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "meta" } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/$meta-add: post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/{id}/$meta-add" description: "Add tags, profiles, and/or security labels to a resource" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "meta" } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/$meta: get: tags: - MedicinalProductAuthorization summary: "GET: /MedicinalProductAuthorization/$meta" description: "Request a list of tags, profiles, and security labels for a specfic\ \ resource instance" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/$meta" description: "Request a list of tags, profiles, and security labels for a specfic\ \ resource instance" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters" } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/$meta: get: tags: - MedicinalProductAuthorization summary: "GET: /MedicinalProductAuthorization/{id}/$meta" description: "Request a list of tags, profiles, and security labels for a specfic\ \ resource instance" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/{id}/$meta" description: "Request a list of tags, profiles, and security labels for a specfic\ \ resource instance" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters" } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/$expunge: post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/$expunge" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "limit", "valueInteger": 0 }, { "name": "expungeDeletedResources", "valueBoolean": false }, { "name": "expungePreviousVersions", "valueBoolean": false }, { "name": "expungeEverything", "valueBoolean": false } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/$expunge: post: tags: - MedicinalProductAuthorization summary: "POST: /MedicinalProductAuthorization/{id}/$expunge" parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "limit", "valueInteger": 0 }, { "name": "expungeDeletedResources", "valueBoolean": false }, { "name": "expungePreviousVersions", "valueBoolean": false }, { "name": "expungeEverything", "valueBoolean": false } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" /MedicinalProductAuthorization/{id}/$diff: get: tags: - MedicinalProductAuthorization summary: Comparte two resources or two versions of a single resource description: "This operation examines two resource versions (can be two versions\ \ of the same resource, or two different resources) and generates a FHIR Patch\ \ document showing the differences." parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" - name: from in: query description: The resource ID and version to diff from required: true schema: type: string example: Patient/example/version/1 - name: to in: query description: The resource ID and version to diff to required: true schema: type: string example: Patient/example/version/2 - name: includeMeta in: query description: Should differences in the Resource.meta element be included in the diff required: false schema: type: string example: "false" - name: fromVersion in: query description: The resource ID and version to diff from required: false schema: type: string example: Patient/example/version/1 responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" post: tags: - MedicinalProductAuthorization summary: Comparte two resources or two versions of a single resource description: "This operation examines two resource versions (can be two versions\ \ of the same resource, or two different resources) and generates a FHIR Patch\ \ document showing the differences." parameters: - name: id in: path description: The resource ID required: true style: simple schema: minimum: 1 type: string example: "123" requestBody: content: application/fhir+json: schema: title: FHIR Resource type: object example: |- { "resourceType": "Parameters", "parameter": [ { "name": "from" }, { "name": "to" }, { "name": "includeMeta", "valueBoolean": false }, { "name": "fromVersion", "valueString": "example" } ] } responses: "200": description: Success content: application/fhir+json: schema: $ref: "#/components/schemas/FHIR-JSON-RESOURCE" application/fhir+xml: schema: $ref: "#/components/schemas/FHIR-XML-RESOURCE" components: schemas: FHIR-JSON-RESOURCE: type: object description: A FHIR resource FHIR-XML-RESOURCE: type: object description: A FHIR resource